infileName      <- 'infile.txt' 
outfile         <- 'histMulti.pdf' 

dups <- read.table(infileName, header = TRUE)



num.picker <- function(vecNums) 
{
  selected <- c()
  for (i in vecNums) {
    if(is.na(i) == TRUE || i == 0){
      next
    }
    selected <- c(selected,i)
  }
  return(selected)
}


pdf(outfile)

## Distribute the 9 histograms as 3 x 3
par(mfrow = c(3,3))


## mar determine the spaces in
## under, left, upper, rigth
## spaces.

## Upper row.
par(mar=c(0,4,6,0))
zeb <- num.picker(dups$Zebrafish)
hist(zeb, main = "", breaks=seq(0,8,1), xlab="", ylab="", ylim=c(0, 300))
legend("topright", legend = "Zebrafish")

par(mar=c(0,2,6,2))
cod <- num.picker(dups$Cod)
hist(cod, main = "", breaks=seq(0,8,1), xlab="", ylab="", ylim=c(0, 300))
legend("topright", legend = "Cod")

par(mar=c(0,0,6,4))
med <- num.picker(dups$Medaka)
hist(med, main = "", breaks=seq(0,8,1), xlab="", ylab="", ylim=c(0, 300))
legend("topright", legend = "Medaka")


## Middle row.
par(mar=c(3,4,3,0))
stb <- num.picker(dups$Stickleback)
hist(stb, main = "", breaks=seq(0,8,1), xlab="", ylab="", ylim=c(0, 300))
legend("topright", legend = "Stickleback")

par(mar=c(3,2,3,2))
tet <- num.picker(dups$Tetraodon)
hist(tet, main = "", breaks=seq(0,8,1), xlab="", ylab="", ylim=c(0, 300))
legend("topright", legend = "Tetraodon")

par(mar=c(3,0,3,4))
fug <- num.picker(dups$Fugu)
hist(fug, main = "", breaks=seq(0,8,1), xlab="", ylab="", ylim=c(0, 300))
legend("topright", legend = "Fugu")


## Lower row.
par(mar=c(6,4,0,0))
Xen <- num.picker(dups$Xenopus)
hist(Xen, main = "", breaks=seq(0,8,1), xlab="", ylab="", ylim=c(0, 300))
legend("topright", legend = "Xenopus")

par(mar=c(6,2,0,2))
chi <- num.picker(dups$Chicken)
hist(chi, main = "", breaks=seq(0,8,1), xlab="", ylab="", ylim=c(0, 300))
legend("topright", legend = "Chicken")

par(mar=c(6,0,0,4))
hum <- num.picker(dups$Human)
hist(hum, main = "", breaks=seq(0,8,1), xlab="", ylab="", ylim=c(0, 300))
legend("topright", legend = "Human")

dev.off()